LINUX.ORG.RU

Вышла Mangaed 2.3 - обновление программы для переводчиков манги

 , , ,


0

2

Вышло обновление свободной программы для переводчиков манги - Mangaed 2.3. Программа интегрирует в одном окне просмотрщик изображений, текстовый редактор и словарь, сохраняет тексты в HTML, ODT и в виде простого текста. Оснащена средством поиска иероглифов по ключам и числу черт, поддерживает разные стили комментариев для коллективной работы переводчиков.

В новой версии улучшен интерфейс, исправлены ошибки, появилась проверка орфографии с помощью Hunspell. Разработка перенесена на Qt 5.2 и работает под всеми современными дистрибутивами Linux, а также под Windows.

>>> Подробности



Проверено: Shaman007 ()

На первой же картинке кровожадная маньячина-убивца. Я их боюся.

redgremlin ★★★★★ ()

У программы есть всего один недостаток, но существенный.

NaN ()
Ответ на: комментарий от NaN

Это теперь эвфемизм, который употребляют вместо идиотского «ненужно»?

hobbit ★★★★★ ()
Ответ на: комментарий от wakuwaku

Есть сырцы. При наличии QtCreator собирается одним пинком. А до ебилдов не дорос пока.

nio-kun ()
Последнее исправление: nio-kun (всего исправлений: 1)

Это что, Linux уже готов для десктопа, да?

sleepflint ★★★ ()
Ответ на: комментарий от sleepflint

Да уже лет десять как, добро пожаловать в реальность.

nio-kun ()
Ответ на: комментарий от anonymous

У программы есть всего один недостаток, но существенный.

Тулкитофобы не нужны.

Это шутка такая:
 — У программы есть всего один недостаток, но существенный.
 — Какой?
 — Существенный.

i-rinat ★★★★★ ()
Ответ на: комментарий от nio-kun

Поправил.

Ещё - сейчас у нее язык интерфейса только русский, смена языка в настройках не помогает. Никакой отдельный модуль qt5 для этого не нужен?

aidan ★★★★ ()
Ответ на: комментарий от i-rinat

Есть такой баян минимум 50 летней давности.

— Армяне лучше, чем грузины!
— Чем лучше?
— Чем грузины.

С чего бы он мне вспомнился?

redgremlin ★★★★★ ()
Ответ на: комментарий от aidan

Нет, не нужен, все что ей нужно -libqt5-sql-sqlite, libQt5Widgets, libQt5Core, libQt5Sql, libQt5Xml, libQt5Gui. А вообще, очень странно, ведь по дефолту как раз английский должен быть. А, ещё нужны права на запись для всех для файла /usr/share/mangaed/mangaed.sqlite и для папки /usr/share/mangaed/dictonaries

nio-kun ()
Последнее исправление: nio-kun (всего исправлений: 1)
Ответ на: комментарий от nio-kun

права на запись
/usr/share/

Интересное кино.

Deleted ()

Разработка перенесена на Qt 5.2 и работает под всеми современными дистрибутивами Linux, а также под Windows.

Вообще, насколько я понимаю, у значительной части современных дистрибутивов в репах основной всё ещё стоит Qt 4. Я бы не торопился сбегать на пятёрку ещё годик хотя бы. Или хотя бы контролировал, собирается ли оно под четвёркой.

hobbit ★★★★★ ()
Ответ на: комментарий от hobbit

Не собирается, но есть версия и под четвёрку. Если много кому будет надо - выложу.

nio-kun ()
Ответ на: комментарий от nio-kun

ещё нужны права на запись для всех для файла /usr/share/mangaed/mangaed.sqlite и для папки /usr/share/mangaed/dictonaries

Это как-то не очень правильно.

hobbit ★★★★★ ()

годно. как раз хотел заняться переводом Tasogare Otome X Amnesia

Ford_Focus ★★★★★ ()

на дефолтную Ubuntu LTS не ставится, нужно добавить ппа, в которых есть qt5 и libstdc++6 4.8. например

sudo add-apt-repository ppa:ubuntu-sdk-team/ppa
sudo add-apt-repository ppa:ubuntu-toolchain-r/test

Ford_Focus ★★★★★ ()
Ответ на: комментарий от anonymous

Петросянодетекторов полон мир.

anonymous ()
Ответ на: комментарий от nio-kun

А, ещё нужны права на запись для всех для файла /usr/share/mangaed/mangaed.sqlite и для папки /usr/share/mangaed/dictonaries

Ужас какой

Psych218 ★★★★★ ()
Ответ на: комментарий от nio-kun

Да, если запустить локально, с правами на запись, то язык можно сменить. Хотя по дефолту всё равно идет русский, но локаль en_US.UTF-8.

aidan ★★★★ ()
Ответ на: комментарий от aidan

Уточнил: программа прежде всего смотрит, указан ли язык в настройках - и применяет его. Если не указан - берёт системную локаль и применяет её. В дистрибутиве в базе данных указан по дефолту русский, вот он и применяется. Сейчас поправлю и перезалью файл, теперь будет указан английский.

nio-kun ()
Последнее исправление: nio-kun (всего исправлений: 1)

А с помощью этого можно переводить хентайные додзи, не зная японского?

Deleted ()
Ответ на: комментарий от Deleted

Теоретически - да. На практике - во-первых, придётся подолгу искать в словарях иероглифы и слова, а во-вторых, без знать грамматик кашу выходе на получать все плеваться читать.

nio-kun ()
Последнее исправление: nio-kun (всего исправлений: 1)

Сложная работа. В некоторых случаях бесполезная.

UNiTE ★★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.